Bug 160814 - [PATCH] security/tor: mark MAKE_JOBS_UNSAFE
Summary: [PATCH] security/tor: mark MAKE_JOBS_UNSAFE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-19 00:50 UTC by Dmitry Marakasov
Modified: 2011-09-20 02:40 UTC (History)
1 user (show)

See Also:


Attachments
tor-0.2.2.33.patch (631 bytes, patch)
2011-09-19 00:50 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2011-09-19 00:50:04 UTC
Mark MAKE_JOBS_UNSAFE, parallel build fails:

---
cc -DHAVE_CONFIG_H -I. -I../..    -I../../src/common -I/usr/local/include/event2 -I/usr/local/include -I/usr/include  -O2 -pipe -march=prescott  -fno-strict-aliasing -D_FORTIFY_SOURCE=2 -fstack-protector-all -fwrapv -fPIE -Wstack-protector --param ssp-buffer-size=1 -Wall -fno-strict-aliasing -MT util_codedigest.o -MD -MP -MF .deps/util_codedigest.Tpo -c -o util_codedigest.o util_codedigest.c
mv -f .deps/util_codedigest.Tpo .deps/util_codedigest.Po
rm -f libor.a
ar cru libor.a address.o log.o util.o  compat.o container.o mempool.o  memarea.o di_ops.o procmon.o  util_codedigest.o  
ranlib libor.a
mv -f .deps/compat_libevent.Tpo .deps/compat_libevent.Po
rm -f libor-event.a
ar cru libor-event.a compat_libevent.o 
ranlib libor-event.a
mv -f .deps/crypto.Tpo .deps/crypto.Po
rm -f libor-crypto.a
ar cru libor-crypto.a crypto.o aes.o  tortls.o torgzip.o 
ranlib libor-crypto.a
Making all in or
make: don't know how to make ./libtor.a. Stop
*** Error code 1
1 error
---

Port maintainer (bf@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-09-19 00:50:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=160814 

Date: Mon, 19 Sep 2011 05:42:48 -0400
Comment 2 Dmitry Marakasov 2011-09-19 14:12:08 UTC
3 on 2-core cpu.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 dfilter service freebsd_committer 2011-09-20 02:33:14 UTC
bf          2011-09-20 01:33:00 UTC

  FreeBSD ports repository

  Modified files:
    security/tor         Makefile 
  Log:
  add a few mirrors and mark MAKE_JOBS_UNSAFE [1]
  
  PR:             160814 [1]
  Submitted by:   amdmi3 [1]
  
  Revision  Changes    Path
  1.73      +5 -0      ports/security/tor/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Brendan Fabeny freebsd_committer 2011-09-20 02:34:56 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!